Bug 601018 - logsys ring buffer needs to use file mapped backing properly as intended
Summary: logsys ring buffer needs to use file mapped backing properly as intended
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Steven Dake
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-07 02:16 UTC by Steven Dake
Modified: 2016-04-26 13:25 UTC (History)
1 user (show)

Fixed In Version: corosync-1.2.3-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 13:53:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream revision 2922 (3.76 KB, patch)
2010-06-15 17:33 UTC, Steven Dake
no flags Details | Diff

Description Steven Dake 2010-06-07 02:16:13 UTC
Description of problem:
logsys buffer is not backed by shared memory segment, causing it to write off end of buffers and cause all other kinds of problems.

Version-Release number of selected component (if applicable):
corosync-1.2.3-1

How reproducible:
hard to reproduce

Steps to Reproduce:
1.valgrind shows errors with some loads
2.
3.
  
Actual results:
valgrind errors

Expected results:
no valgrind errors regarding memory access

Additional info:

Comment 1 RHEL Product and Program Management 2010-06-07 02:33:27 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 Steven Dake 2010-06-15 17:33:08 UTC
Created attachment 424242 [details]
upstream revision 2922

Comment 4 releng-rhel@redhat.com 2010-11-15 13:53:43 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.